package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bet;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BetMapper {

    int insert(Bet record);

    int insertSelective(Bet record);

    int updateByPrimaryKeySelective(Bet record);

    int updateByPrimaryKey(Bet record);

    int deleteByPrimaryKey(Bet record);

    int deleteByIds(Collection<Object> collection);

    Bet selectByPrimaryKey(Bet record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Bet> dyncRead(Map<String, Object> dyncMap);

}